// JavaScript Document
var firstLoadFlag = 0;
function loadAccount(bankid, accountDivId, accountDDLId, accountDetailsDiv)
{
    $('#' + accountDivId).html('<img src="images/loader.gif/>');
    $('#' + accountDivId).load('getallaccountajax.php?do=getAccountdata&bankid=' + bankid + '&accountDDLId=' + accountDDLId + '&accountDetailsDiv=' + accountDetailsDiv, function (response, status, xhr) {

        //for edit
        if ($('#id').length > 0 && firstLoadFlag < 2) {
            firstLoadFlag++;
            if (firstLoadFlag == 1) {
                $('#accountidfrom').val($('#ddlBankfrom').data('account')).change();
            }
            if (firstLoadFlag == 2) {
                $('#accountidto').val($('#ddlBankto').data('account')).change();
            }
        }
        //checkcurrentamount();
    });
}

function loadAccountnumber(accountid, accountidDDL)
{
    var accountDetailsDiv = $('#' + accountidDDL).data('accountdetailsdiv');
    $('#' + accountDetailsDiv).html('<img src="images/loader.gif/>');
    $('#' + accountDetailsDiv).load('getallaccountajax.php?do=getAccountnumber&accountid=' + accountid + '', function (response, status, xhr) {
        //checkcurrentamount();
    });
}

//function checkcurrentamount()
//{
//    var amount = Number($("#txtAmount").val());
//    var oldacount = Number($("#accountbeginingbalanceDis").val());
//
//    if (amount > oldacount)
//    {
//        alert('لا يمكنك سحب شيك اكبر من الرصيد الحالى');
//        $("#txtAmount").val("");
//    }
//}

$('#saveTrnBtn').live('click', function (e) {
    var ddlBankfrom = $('#ddlBankfrom').val();
    var accountidfrom = $('#accountidfrom').val();
    var ddlBankto = $('#ddlBankto').val();
    var accountidto = $('#accountidto').val();

    var value = $('#transfervalue').val();
    value = Number(value.trim());
    if (ddlBankfrom == '-1') {
        $('#bankFromError').show();
        $('#bankFromError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 80px;'>*اختر البنك من</p>");
    } else if (accountidfrom == '-1') {
        $('#bankFromError').hide();
        $('#accountFromError').show();
        $('#accountFromError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 97px;'>*اختر الحساب من</p>");
    } else if (ddlBankto == '-1') {
        $('#bankFromError').hide();
        $('#accountFromError').hide();
        $('#bankToError').show();
        $('#bankToError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 80px;'>*اختر البنك الى</p>");
    } else if (accountidto == '-1') {
        $('#bankFromError').hide();
        $('#accountFromError').hide();
        $('#bankToError').hide();
        $('#accountToError').show();
        $('#accountToError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 97px;'>*اختر الحساب الى</p>");
    } else if (value == '' || value == '0') {
        $('#bankFromError').hide();
        $('#accountFromError').hide();
        $('#bankToError').hide();
        $('#accountToError').hide();
        $('#valueError').show();
        $('#valueError').html("<p style='color: #CC3333;border: 1px solid #CC3333;width: 120px;'>*ادخل القيمة المحولة</p>");
    } else {
        $('#bankFromError').hide();
        $('#accountFromError').hide();
        $('#bankToError').hide();
        $('#accountToError').hide();
        $('#valueError').hide();
        $('#myTranform').submit();
        $('#saveTrnBtn').attr("disabled", true);
    }
});

//for edit
if ($('#id').length > 0) {
    $('#ddlBankfrom').change();
    $('#ddlBankto').change();
}